Retrieve question set for a form by id
curl --request GET \
--url https://api.symmetry.com/spf/formQuestionSet/{formId}/{questionSetId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symmetry.com/spf/formQuestionSet/{formId}/{questionSetId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symmetry.com/spf/formQuestionSet/{formId}/{questionSetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "QS1",
"questions": [
{
"id": "isNra",
"questionText": "Are you a nonresident alien?",
"notes": [
{
"htmlType": "PARAGRAPH",
"noteValue": "Selecting Yes will result in selecting a marital status of Single or Married filing separately regardless of actual marital status. See Notice 1392 for more details."
},
{
"htmlType": "PARAGRAPH",
"noteValue": "Notice: Nonresident aliens may be exempt from wage withholding on part or all of their compensation for dependent personal services under an income tax treaty. If you are claiming a tax treaty withholding exemption, do not complete Form W-4. Instead, complete Form 8233, Exemption from Withholding on Compensation for Independent (and Certain Dependent) Personal Services of a Nonresident Alien Individual, and give it to each withholding agent from whom amounts will be received."
}
],
"validationRegex": "^(true|false)$",
"validationErrorMessage": "This value is required",
"htmlType": "INPUT",
"displayType": "RADIO",
"required": true,
"questionOptions": [
{
"label": "Yes",
"value": true
},
{
"label": "No",
"value": false
}
]
}
],
"breadcrumbTitle": "Nonresident Alien",
"navigation": {
"questionId": "isNra",
"navigationType": "VARIABLE",
"navigationMappings": {
"false": {
"nextQuestionSetId": "QS2",
"hasMoreQuestions": true
},
"true": {
"nextQuestionSetId": "QS8",
"hasMoreQuestions": true
}
}
}
}This response has no body data.{
"path": "<string>",
"status": "<string>",
"statusCode": 123,
"timestamp": "2023-11-07T05:31:56Z",
"errors": [
{
"field": "<string>",
"message": "<string>",
"rejectedValue": "<string>"
}
],
"errorCount": 123
}{
"path": "uri=/spf/formQuestionSet/AL101/QS3",
"status": "Not Found",
"statusCode": 404,
"timestamp": "2020-01-01 12:00:00",
"errors": [
{
"message": "Question Set does not exist",
"rejectedValue": "QS3"
}
],
"errorCount": 1
}{
"path": "<string>",
"status": "<string>",
"statusCode": 123,
"timestamp": "2023-11-07T05:31:56Z",
"errors": [
{
"field": "<string>",
"message": "<string>",
"rejectedValue": "<string>"
}
],
"errorCount": 123
}Return a question set for a given form. Each question set may contain one or more questions, validation regular expression, and navigation aids. For more information, see form question set.
GET
/
formQuestionSet
/
{formId}
/
{questionSetId}
Retrieve question set for a form by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Form IDs - Use the /getAllFormIds endpoint to get all withholding form IDs available
Query Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Stable key identifying this question set's breadcrumb title for copy customization. Format: {formId}.{questionSetId}.breadcrumbTitle. Omitted when not applicable.
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
⌘I

